Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.coordination
Interface CoordinationManager

All Known Implementing Classes:
  CoordinationService

    public interface CoordinationManager

Interface defining operations for explicit event wiring management

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Method Summary
`java.util.Collection<java.lang.String>` | `getBindingNames(Window window, javax.xml.namespace.QName name)` Returns the list of bindings for a given window and a given name.
`java.util.Map<Window,org.jboss.portal.portlet.controller.event.PortletWindowEvent>` | `getEventWindows(org.jboss.portal.portlet.controller.event.PortletWindowEvent event, ControllerPortletControllerContext context)`
`java.lang.Boolean` | `resolveEventWiringImplicitModeEnabled(PageContainer page)` Resolves wiring implicit mode.
`java.lang.Boolean` | `resolveParameterBindingImplicitModeEnabled(PageContainer pageContainer)` Resolves binding implicit mode.

Method Detail

### getEventWindows

    java.util.Map<Window,org.jboss.portal.portlet.controller.event.PortletWindowEvent> getEventWindows(org.jboss.portal.portlet.controller.event.PortletWindowEvent event,
                                                                                                       ControllerPortletControllerContext context)
                                                                                                       throws IllegalCoordinationException

  Parameters:
    `event` -
    `context` -
  Returns:
    all windows that given event should be delivered to with current wirings and configuration
  Throws:
    `IllegalCoordinationException`

### resolveEventWiringImplicitModeEnabled

    java.lang.Boolean resolveEventWiringImplicitModeEnabled(PageContainer page)

  Resolves wiring implicit mode. If there is no strategy defined for this page container method will browse parent object to resolve inherited modes. If no mode is set this method will return default one

  Parameters:
    `page` -
  Returns:

### resolveParameterBindingImplicitModeEnabled

    java.lang.Boolean resolveParameterBindingImplicitModeEnabled(PageContainer pageContainer)

  Resolves binding implicit mode. If there is no mode defined for this page container method will browse parent object to resolve inherited modes. If no mode is set this method will return default one

  Parameters:
    `pageContainer` - the page container
  Returns:

### getBindingNames

    java.util.Collection<java.lang.String> getBindingNames(Window window,
                                                           javax.xml.namespace.QName name)

  Returns the list of bindings for a given window and a given name. The collection is an aggregation of window bindings and alias bindings.

  Parameters:
    `window` - the target window
    `name` - the target name
  Returns:
    all parameter binding names with a given window/name mapping

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD